FROM openshift/golang-builder:rhel_8_golang_1.15
ENV __doozer=update BUILD_RELEASE=202011261617.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011261617.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=dbaa87c OS_GIT_VERSION=4.6.0-202011261617.p0-dbaa87c SOURCE_DATE_EPOCH=1601451581 SOURCE_GIT_COMMIT=dbaa87c5c62e519764f082eb575cbe79830822f4 SOURCE_GIT_TAG=dbaa87c5 SOURCE_GIT_URL=https://github.com/openshift/csi-driver-manila-operator 
COPY . /go/src/github.com/openshift/csi-driver-manila-operator
RUN cd /go/src/github.com/openshift/csi-driver-manila-operator && \
    go build -mod vendor -o csi-driver-manila-operator cmd/csi-driver-manila-operator/main.go

FROM openshift/ose-base:v4.6.0.20201126.164052
ENV __doozer=update BUILD_RELEASE=202011261617.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202011261617.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=dbaa87c OS_GIT_VERSION=4.6.0-202011261617.p0-dbaa87c SOURCE_DATE_EPOCH=1601451581 SOURCE_GIT_COMMIT=dbaa87c5c62e519764f082eb575cbe79830822f4 SOURCE_GIT_TAG=dbaa87c5 SOURCE_GIT_URL=https://github.com/openshift/csi-driver-manila-operator 

ENV OPERATOR=/usr/local/bin/csi-driver-manila-operator \
    USER_UID=1001 \
    USER_NAME=csi-driver-manila-operator

COPY --from=0 /go/src/github.com/openshift/csi-driver-manila-operator/csi-driver-manila-operator ${OPERATOR}

COPY build/bin /usr/local/bin
RUN  /usr/local/bin/user_setup

ENTRYPOINT ["/usr/local/bin/entrypoint"]

USER ${USER_UID}

LABEL \
        name="openshift/ose-csi-driver-manila-operator" \
        com.redhat.component="csi-driver-manila-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Installer" \
        io.openshift.maintainer.subcomponent="OpenShift on OpenStack" \
        release="202011261617.p0" \
        io.openshift.build.commit.id="dbaa87c5c62e519764f082eb575cbe79830822f4" \
        io.openshift.build.source-location="https://github.com/openshift/csi-driver-manila-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-driver-manila-operator/commit/dbaa87c5c62e519764f082eb575cbe79830822f4" \
        version="v4.6.0"

